Bug 49717 - no space left on device error
no space left on device error
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-07-23 10:43 EDT by Don Smith
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-09 17:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Smith 2001-07-23 10:43:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Bonnie (www.textuality.com/bonnie) fails on a write() call while writing 
on a RAID 1 device. The message printed by the perror() call made by 
bonnie after the failed write() is "No space left on device." However, df 
reports that there is plenty of space left on the device (shown below).

How reproducible:

Steps to Reproduce:
1. Run Bonnie to write a large file (at least 512MB) on a RAID 1 device.
2. Bonnie should fail as described.

Additional info:

IBM ServeRAID 4L controller on a dual P3-700 w/1024MB RAM.

Bonnie output:
 File '/temp/Bonnie.1185', size: 536870912
 Writing with putc()...done
 Writing intelligently...Bonnie: drastic I/O error (write(2)): No space 
left on device

df reports the following:
 1k-blocks: 1031608
 Used: 506804
 Available: 472400
 Use%: 52%
 Mounted on: /temp

The actual size of the file when Bonnie dies:
 size: 501649408

We reproduced this once - failed much earlier into the file (324444160 
Comment 1 Arjan van de Ven 2001-07-23 12:42:40 EDT
Smells like the VM mistuning gives -ENOMEM and bonnie translates that as "disk
Comment 2 Glen Foster 2001-07-23 17:17:22 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Arjan van de Ven 2001-08-03 10:04:40 EDT
Beta3 should have this fixed at the cost of performance-loss. We're trying
to undo the performance-loss without loosing the fix. Could you verify this ?
Comment 4 Don Smith 2001-08-09 17:53:21 EDT
This failure no longer occurs in beta 3.

Note You need to log in before you can comment on or make changes to this bug.